Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/LogFileReader.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/LogFileReader.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/LogFileReader.cs	(revision 4253)
@@ -27,5 +27,5 @@
 using System.Diagnostics;
 
-namespace HeuristicLab.Hive.Client.Console {
+namespace HeuristicLab.Hive.Slave.Console {
   class LogFileReader {
     string filename = "";
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Properties/AssemblyInfo.frame
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Properties/AssemblyInfo.frame	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Properties/AssemblyInfo.frame	(revision 4253)
@@ -28,5 +28,5 @@
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.Hive.Client.Console")]
+[assembly: AssemblyTitle("HeuristicLab.Hive.Slave.Console")]
 [assembly: AssemblyDescription("")]
 [assembly: AssemblyConfiguration("")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Properties/Resources.Designer.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Properties/Resources.Designer.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Properties/Resources.Designer.cs	(revision 4253)
@@ -9,5 +9,5 @@
 //------------------------------------------------------------------------------
 
-namespace HeuristicLab.Hive.Client.Console.Properties {
+namespace HeuristicLab.Hive.Slave.Console.Properties {
     using System;
     
@@ -40,5 +40,5 @@
             get {
                 if (object.ReferenceEquals(resourceMan, null)) {
-                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.Hive.Client.Console.Properties.Resources", typeof(Resources).Assembly);
+                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.Hive.Slave.Console.Properties.Resources", typeof(Resources).Assembly);
                     resourceMan = temp;
                 }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Properties/Settings.Designer.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Properties/Settings.Designer.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Properties/Settings.Designer.cs	(revision 4253)
@@ -9,5 +9,5 @@
 //------------------------------------------------------------------------------
 
-namespace HeuristicLab.Hive.Client.Console.Properties {
+namespace HeuristicLab.Hive.Slave.Console.Properties {
     
     
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Properties/Settings.settings
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Properties/Settings.settings	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Properties/Settings.settings	(revision 4253)
@@ -1,4 +1,4 @@
 ﻿<?xml version='1.0' encoding='utf-8'?>
-<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)" GeneratedClassNamespace="HeuristicLab.Hive.Client.Console.Properties" GeneratedClassName="Settings">
+<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)" GeneratedClassNamespace="HeuristicLab.Hive.Slave.Console.Properties" GeneratedClassName="Settings">
   <Profiles />
   <Settings>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Recurrence.Designer.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Recurrence.Designer.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Recurrence.Designer.cs	(revision 4253)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Hive.Client.Console
+﻿namespace HeuristicLab.Hive.Slave.Console
 {
   partial class Recurrence
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Recurrence.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Recurrence.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Recurrence.cs	(revision 4253)
@@ -24,5 +24,5 @@
 using System.Windows.Forms;
 
-namespace HeuristicLab.Hive.Client.Console
+namespace HeuristicLab.Hive.Slave.Console
 {
 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/AppointmentContainer.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/AppointmentContainer.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/AppointmentContainer.cs	(revision 4253)
@@ -5,5 +5,5 @@
 using HeuristicLab.Calendar;
 
-namespace HeuristicLab.Hive.Client.Core.ConfigurationManager {
+namespace HeuristicLab.Hive.Slave.Core.ConfigurationManager {
   public class AppointmentContainer {
     public DateTime Updated { get; set; }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/ConfigManager.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/ConfigManager.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/ConfigManager.cs	(revision 4253)
@@ -25,11 +25,11 @@
 using System.Text;
 using HeuristicLab.Hive.Contracts.BusinessObjects;
-using HeuristicLab.Hive.Client.ExecutionEngine;
-using HeuristicLab.Hive.Client.Core.ClientConsoleService;
-using HeuristicLab.Hive.Client.Communication;
-using HeuristicLab.Hive.Client.Core.Properties;
+using HeuristicLab.Hive.Slave.ExecutionEngine;
+using HeuristicLab.Hive.Slave.Core.ClientConsoleService;
+using HeuristicLab.Hive.Slave.Communication;
+using HeuristicLab.Hive.Slave.Core.Properties;
 using HeuristicLab.Hive.Contracts;
 
-namespace HeuristicLab.Hive.Client.Core.ConfigurationManager {
+namespace HeuristicLab.Hive.Slave.Core.ConfigurationManager {
   /// <summary>
   /// accesses the Server and sends his data (uuid, uptimes, hardware config) 
@@ -111,7 +111,7 @@
       st.FreeCores = hardwareInfo.NrOfCores - GetUsedCores();
 
-      st.JobsAborted = ClientStatusInfo.JobsAborted;
-      st.JobsDone = ClientStatusInfo.JobsProcessed;
-      st.JobsFetched = ClientStatusInfo.JobsFetched;      
+      st.JobsAborted = SlaveStatusInfo.JobsAborted;
+      st.JobsDone = SlaveStatusInfo.JobsProcessed;
+      st.JobsFetched = SlaveStatusInfo.JobsFetched;      
 
       Dictionary<Guid, Executor> engines = Core.GetExecutionEngines();
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/SlaveStatusInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/SlaveStatusInfo.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/SlaveStatusInfo.cs	(revision 4253)
@@ -0,0 +1,14 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace HeuristicLab.Hive.Slave.Core.ConfigurationManager {
+  public class SlaveStatusInfo {
+    static public int JobsProcessed { get; set; }
+    static public int JobsAborted { get; set; }
+    static public int JobsFetched { get; set; }
+    static public DateTime LoginTime { get; set; }
+    
+  }
+}
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/UptimeManager.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/UptimeManager.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/UptimeManager.cs	(revision 4253)
@@ -6,10 +6,10 @@
 using System.Xml.Serialization;
 using System.IO;
-using HeuristicLab.Hive.Client.Common;
+using HeuristicLab.Hive.Slave.Common;
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 using HeuristicLab.Hive.Contracts;
 using HeuristicLab.Tracing;
 
-namespace HeuristicLab.Hive.Client.Core.ConfigurationManager {
+namespace HeuristicLab.Hive.Slave.Core.ConfigurationManager {
   public class UptimeManager {
 
@@ -24,5 +24,5 @@
     public bool CalendarAvailable { get; set; }
 
-    private static String path = System.IO.Directory.GetCurrentDirectory() + "\\plugins\\Hive.Client.Jobs\\";
+    private static String path = System.IO.Directory.GetCurrentDirectory() + "\\plugins\\Hive.Slave.Jobs\\";
 
     private static UptimeManager instance = null;
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Core.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Core.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Core.cs	(revision 4253)
@@ -24,6 +24,6 @@
 using System.Linq;
 using System.Text;
-using HeuristicLab.Hive.Client.ExecutionEngine;
-using HeuristicLab.Hive.Client.Common;
+using HeuristicLab.Hive.Slave.ExecutionEngine;
+using HeuristicLab.Hive.Slave.Common;
 using System.Threading;
 using System.Reflection;
@@ -32,5 +32,5 @@
 using System.Security.Policy;
 using System.Security;
-using HeuristicLab.Hive.Client.Communication;
+using HeuristicLab.Hive.Slave.Communication;
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 using HeuristicLab.Hive.Contracts;
@@ -39,14 +39,14 @@
 using System.ServiceModel;
 using System.ServiceModel.Description;
-using HeuristicLab.Hive.Client.Core.ClientConsoleService;
-using HeuristicLab.Hive.Client.Core.ConfigurationManager;
-using HeuristicLab.Hive.Client.Communication.ServerService;
+using HeuristicLab.Hive.Slave.Core.ClientConsoleService;
+using HeuristicLab.Hive.Slave.Core.ConfigurationManager;
+using HeuristicLab.Hive.Slave.Communication.ServerService;
 using HeuristicLab.Hive.JobBase;
-using HeuristicLab.Hive.Client.Core.JobStorage;
+using HeuristicLab.Hive.Slave.Core.JobStorage;
 using HeuristicLab.Tracing;
 using HeuristicLab.Core;
 using System.IO;
 
-namespace HeuristicLab.Hive.Client.Core {
+namespace HeuristicLab.Hive.Slave.Core {
   /// <summary>
   /// The core component of the Hive Client
@@ -79,5 +79,5 @@
       abortRequested = false;
       Logger.Info("Hive Client started");
-      ClientConsoleServer server = new ClientConsoleServer();
+      SlaveConsoleServer server = new SlaveConsoleServer();
       server.StartClientConsoleServer(new Uri("net.tcp://127.0.0.1:8000/ClientConsole/"));
 
@@ -335,7 +335,7 @@
               engines.Add(e.Result.Job.Id, engine);
 
-              ClientStatusInfo.JobsFetched++;
-
-              Logger.Info("Increment FetchedJobs to:" + ClientStatusInfo.JobsFetched);
+              SlaveStatusInfo.JobsFetched++;
+
+              Logger.Info("Increment FetchedJobs to:" + SlaveStatusInfo.JobsFetched);
             }
           }
@@ -361,6 +361,6 @@
       KillAppDomain(e.Result.JobId);
       if (e.Result.Success) {
-        ClientStatusInfo.JobsProcessed++;
-        Logger.Info("Increased ProcessedJobs to:" + ClientStatusInfo.JobsProcessed);
+        SlaveStatusInfo.JobsProcessed++;
+        Logger.Info("Increased ProcessedJobs to:" + SlaveStatusInfo.JobsProcessed);
       } else {
         Logger.Error("Sending of job " + e.Result.JobId + " failed, job has been wasted. Message: " + e.Result.StatusMessage);
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Heartbeat.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Heartbeat.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Heartbeat.cs	(revision 4253)
@@ -25,15 +25,15 @@
 using System.Text;
 using System.Timers;
-using HeuristicLab.Hive.Client.Common;
-using HeuristicLab.Hive.Client.Communication;
+using HeuristicLab.Hive.Slave.Common;
+using HeuristicLab.Hive.Slave.Communication;
 using System.Diagnostics;
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 using HeuristicLab.Hive.Contracts;
-using HeuristicLab.Hive.Client.Core.ConfigurationManager;
-using HeuristicLab.Hive.Client.Communication.ServerService;
+using HeuristicLab.Hive.Slave.Core.ConfigurationManager;
+using HeuristicLab.Hive.Slave.Communication.ServerService;
 using HeuristicLab.Tracing;
 //using BO = HeuristicLab.Hive.Contracts.BusinessObjects;
 
-namespace HeuristicLab.Hive.Client.Core {
+namespace HeuristicLab.Hive.Slave.Core {
   /// <summary>
   /// Heartbeat class. It sends every x ms a heartbeat to the server and receives a Message
@@ -94,5 +94,5 @@
 
         HeartBeatData heartBeatData = new HeartBeatData {
-          ClientId = info.Id,
+          SlaveId = info.Id,
           FreeCores = info.NrOfCores - ConfigManager.Instance.GetUsedCores(),
           FreeMemory = mb,
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/JobStorage/JobStorageInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/JobStorage/JobStorageInfo.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/JobStorage/JobStorageInfo.cs	(revision 4253)
@@ -4,5 +4,5 @@
 using System.Text;
 
-namespace HeuristicLab.Hive.Client.Core.JobStorage {
+namespace HeuristicLab.Hive.Slave.Core.JobStorage {
   public class JobStorageInfo {
     public String ServerIP { get; set; }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/JobStorage/JobStorageManager.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/JobStorage/JobStorageManager.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/JobStorage/JobStorageManager.cs	(revision 4253)
@@ -4,7 +4,7 @@
 using System.Text;
 using System.IO;
-using HeuristicLab.Hive.Client.Common;
-using HeuristicLab.Hive.Client.Communication;
-using HeuristicLab.Hive.Client.Core.ConfigurationManager;
+using HeuristicLab.Hive.Slave.Common;
+using HeuristicLab.Hive.Slave.Communication;
+using HeuristicLab.Hive.Slave.Core.ConfigurationManager;
 using HeuristicLab.Hive.Contracts;
 using System.Xml.Serialization;
@@ -13,10 +13,10 @@
 using HeuristicLab.Tracing;
 
-namespace HeuristicLab.Hive.Client.Core.JobStorage {
+namespace HeuristicLab.Hive.Slave.Core.JobStorage {
   public class JobStorageManager {
     
     private static List<JobStorageInfo> storedJobsList = new List<JobStorageInfo>();
-    
-    private static String path = System.IO.Directory.GetCurrentDirectory()+"\\Hive.Client.Jobs\\";
+
+    private static String path = System.IO.Directory.GetCurrentDirectory() + "\\Hive.Slave.Jobs\\";
     
     public static void PersistObjectToDisc(String serverIP, long serverPort, Guid jobId, byte[] job) {
@@ -57,5 +57,5 @@
                 Logger.Info("Sending of job " + storedJobsList[index - 1].JobID + " done");
             }
-            ClientStatusInfo.JobsProcessed++;
+            SlaveStatusInfo.JobsProcessed++;
             storedJobsList.Remove(storedJobsList[index - 1]);
             File.Delete(path + filename + ".dat"); 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/PluginCache.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/PluginCache.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/PluginCache.cs	(revision 4253)
@@ -4,5 +4,5 @@
 using System.Linq;
 using System.Runtime.CompilerServices;
-using HeuristicLab.Hive.Client.Communication;
+using HeuristicLab.Hive.Slave.Communication;
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 using HeuristicLab.PluginInfrastructure;
@@ -10,5 +10,5 @@
 using HeuristicLab.Tracing;
 
-namespace HeuristicLab.Hive.Client.Core {
+namespace HeuristicLab.Hive.Slave.Core {
   public class PluginCache {
 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Properties/AssemblyInfo.frame
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Properties/AssemblyInfo.frame	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Properties/AssemblyInfo.frame	(revision 4253)
@@ -29,5 +29,5 @@
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.Hive.Client.Core")]
+[assembly: AssemblyTitle("HeuristicLab.Hive.Slave.Core")]
 [assembly: AssemblyDescription("")]
 [assembly: AssemblyConfiguration("")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Properties/Settings.Designer.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Properties/Settings.Designer.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Properties/Settings.Designer.cs	(revision 4253)
@@ -9,5 +9,5 @@
 //------------------------------------------------------------------------------
 
-namespace HeuristicLab.Hive.Client.Core.Properties {
+namespace HeuristicLab.Hive.Slave.Core.Properties {
     
     
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Properties/Settings.settings
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Properties/Settings.settings	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Properties/Settings.settings	(revision 4253)
@@ -1,4 +1,4 @@
 ﻿<?xml version='1.0' encoding='utf-8'?>
-<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)" GeneratedClassNamespace="HeuristicLab.Hive.Client.Core.Properties" GeneratedClassName="Settings">
+<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)" GeneratedClassNamespace="HeuristicLab.Hive.Slave.Core.Properties" GeneratedClassName="Settings">
   <Profiles />
   <Settings>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Settings.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Settings.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/Settings.cs	(revision 4253)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Hive.Client.Core.Properties {
+﻿namespace HeuristicLab.Hive.Slave.Core.Properties {
     
     
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/Executor.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/Executor.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/Executor.cs	(revision 4253)
@@ -21,5 +21,5 @@
 
 using System;
-using HeuristicLab.Hive.Client.Common;
+using HeuristicLab.Hive.Slave.Common;
 using HeuristicLab.Hive.Contracts;
 using HeuristicLab.Hive.JobBase;
@@ -31,5 +31,5 @@
 using HeuristicLab.Core;
 
-namespace HeuristicLab.Hive.Client.ExecutionEngine {
+namespace HeuristicLab.Hive.Slave.ExecutionEngine {
   public class Executor : MarshalByRefObject, IDisposable {
     public Guid JobId { get; set; }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/HeuristicLab.Hive.Slave.ExecutionEngine-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/HeuristicLab.Hive.Slave.ExecutionEngine-3.3.csproj	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/HeuristicLab.Hive.Slave.ExecutionEngine-3.3.csproj	(revision 4253)
@@ -9,6 +9,6 @@
     <OutputType>Library</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HeuristicLab.Hive.Client.ExecutionEngine</RootNamespace>
-    <AssemblyName>HeuristicLab.Hive.Client.ExecutionEngine-3.3</AssemblyName>
+    <RootNamespace>HeuristicLab.Hive.Slave.ExecutionEngine</RootNamespace>
+    <AssemblyName>HeuristicLab.Hive.Slave.ExecutionEngine-3.3</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -101,5 +101,5 @@
   <ItemGroup>
     <Compile Include="Executor.cs" />
-    <Compile Include="HeuristicLabHiveClientExecutionEnginePlugin.cs" />
+    <Compile Include="HeuristicLabHiveSlaveExecutionEnginePlugin.cs" />
     <Compile Include="InvalidStateException.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
@@ -110,8 +110,4 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Hive.Client.Common\3.3\HeuristicLab.Hive.Client.Common-3.3.csproj">
-      <Project>{89F4BC52-C174-481E-9BD2-3814171020E8}</Project>
-      <Name>HeuristicLab.Hive.Client.Common-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Hive.Contracts\3.3\HeuristicLab.Hive.Contracts-3.3.csproj">
       <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
@@ -121,4 +117,8 @@
       <Project>{21187322-52DD-4243-80A4-A85F0263E63B}</Project>
       <Name>HeuristicLab.Hive.JobBase-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Hive.Slave.Common\3.3\HeuristicLab.Hive.Slave.Common-3.3.csproj">
+      <Project>{89F4BC52-C174-481E-9BD2-3814171020E8}</Project>
+      <Name>HeuristicLab.Hive.Slave.Common-3.3</Name>
     </ProjectReference>
   </ItemGroup>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/HeuristicLabHiveSlaveExecutionEnginePlugin.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/HeuristicLabHiveSlaveExecutionEnginePlugin.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/HeuristicLabHiveSlaveExecutionEnginePlugin.cs	(revision 4253)
@@ -0,0 +1,39 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Slave.ExecutionEngine {
+  [Plugin("HeuristicLab.Hive.Slave.ExecutionEngine", "3.3")]
+  [PluginFile("HeuristicLab.Hive.Slave.ExecutionEngine-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Slave.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.JobBase", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")] 
+  public class HeuristicLabHiveSlaveExecutionEnginePlugin: PluginBase {
+  }
+}
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/InvalidStateException.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/InvalidStateException.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/InvalidStateException.cs	(revision 4253)
@@ -4,5 +4,5 @@
 using System.Text;
 
-namespace HeuristicLab.Hive.Client.ExecutionEngine {
+namespace HeuristicLab.Hive.Slave.ExecutionEngine {
   [global::System.Serializable]
   public class InvalidStateException : Exception {
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/Properties/AssemblyInfo.frame
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/Properties/AssemblyInfo.frame	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.ExecutionEngine/3.3/Properties/AssemblyInfo.frame	(revision 4253)
@@ -29,5 +29,5 @@
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.Hive.Client.ExecutionEngine")]
+[assembly: AssemblyTitle("HeuristicLab.Hive.Slave.ExecutionEngine")]
 [assembly: AssemblyDescription("")]
 [assembly: AssemblyConfiguration("")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd	(revision 4253)
@@ -1,4 +1,4 @@
 ConfigMerger "%SolutionDir%HeuristicLab.Hive.Server.LINQDataAccess\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
-ConfigMerger "%SolutionDir%HeuristicLab.Hive.Client.Core\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
+ConfigMerger "%SolutionDir%HeuristicLab.Hive.Slave.Core\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
 ConfigMerger "%SolutionDir%HeuristicLab.Hive.Experiment\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
 ConfigMerger "%SolutionDir%HeuristicLab.Hive.Tracing\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
